/*
 * Copyright (c) eHealth
 */
package be.ehealth.technicalconnector.service.sts.security.impl;

import be.ehealth.technicalconnector.beid.BeIDFactory;
import be.ehealth.technicalconnector.beid.domain.BeIDInfo;
import be.fgov.ehealth.technicalconnector.tests.utils.AssumeTools;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


/**
 * Integration test for BeIDCredential
 * 
 * @author EHP
 */
public class BeIDCredentialUserIntegrationTest {

    private static final Logger LOG = LoggerFactory.getLogger(BeIDCredentialUserIntegrationTest.class);

    /**
     * Creates a new BeIDInfo instance which will read the ID card Requires an ID card connected
     * 
     * @author EHP
     */
    @Test
    public void test() throws Exception {
        AssumeTools.isEIDEnabled();
        BeIDInfo info = BeIDFactory.getBeIDInfo("test", false);
        LOG.debug(info.getIdentity().getNationalNumber());
    }

}
